<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        var arr = ['az','as','df','ed']
        //es6 forEach循环
        arr.forEach(function(x){
            console.log(x);
        })

        //es5 for循环
        for(var i = 0;i<arr.length;i++){
            console.log(arr[i]);
        }

        var num = [1,2,3,4,5]
        var sum = 0
        num.forEach(function(x){
            sum += x
        })
        console.log(sum);

        
        var num2 = [2,2,2,2,2]
        var sum2 = 0
        function add(x){
            sum2 += x
        }
        num2.forEach(add)
        console.log(sum2);

    </script>
</body>
</html>